FROM python:3-bullseye

RUN apt-get -y update && apt-get -y install python3-dev \
    && cd /tmp \
    && wget https://download.open-mpi.org/release/open-mpi/v1.10/openmpi-1.10.7.tar.bz2 \
    && tar -jxf openmpi-1.10.7.tar.bz2 && cd openmpi-1.10.7 \
    && ./configure --prefix=/usr/local/openmpi && make all && make install \
    && cd /tmp && rm openmpi-1.10.7.tar.bz2 \
    && rm -r openmpi-1.10.7

ENV PATH="/usr/local/openmpi/bin:$PATH"
ENV LD_LIBRARY_PATH="/usr/local/openmpi/lib:$LD_LIBRARY_PATH"

COPY pypackages /usr/local/pypackages

RUN pip install -r /usr/local/pypackages/requirements.txt \
    && pip install -r /usr/local/pypackages/py-phasesep/requirements.txt \
    && pip install -r /usr/local/pypackages/py-pde/requirements.txt \
    && yes | pip uninstall py-pde \
    && adduser oleberendes --home /home/oleberendes

ENV PYTHONPATH="/usr/local/pypackages/py-pde/:/usr/local/pypackages/py-phasesep/:$PYTHONPATH"